Lispについてはかなりの数を登録しています。
例えばですが下記のLispが起動しなくなりました。
;Shusei Hayashi
;OffshoreCad&Management Inc.
;10F Jaka Bldg., 6780 Ayala Ave.,
;Makati, Philippines
;
http://www.offshorecad.com.ph/
;
http://www.offshore-management.com.ph/
(defun c:SD_1208()
(if (= SD:Lang "E")
(princ "\n Change decimals")
(princ "\n 寸法に表記する小数点の数を変更")
)
(princ "\n **********************************")
(setq *error* *myerror*)
(SD1028)
(RegistryRead_1208)
(Show_Dialog_1208)
(setq ObjSet nil)
(while (= ObjSet nil)
(setq ObjSet (ssget '((0 . "DIMENSION"))))
)
(if ObjSet
(setq ObjSet (vla-get-activeselectionset (vla-get-activedocument (vlax-get-acad-object))))
)
(vlax-for Obj ObjSet
(cond ((= TheDecimal "0") (vlax-put-property Obj 'PrimaryUnitsPrecision acDimPrecisionZero))
((= TheDecimal "1") (vlax-put-property Obj 'PrimaryUnitsPrecision acDimPrecisionOne))
((= TheDecimal "2") (vlax-put-property Obj 'PrimaryUnitsPrecision acDimPrecisionTwo))
((= TheDecimal "3") (vlax-put-property Obj 'PrimaryUnitsPrecision acDimPrecisionThree))
((= TheDecimal "4") (vlax-put-property Obj 'PrimaryUnitsPrecision acDimPrecisionFour))
((= TheDecimal "5") (vlax-put-property Obj 'PrimaryUnitsPrecision acDimPrecisionFive))
((= TheDecimal "6") (vlax-put-property Obj 'PrimaryUnitsPrecision acDimPrecisionSix))
((= TheDecimal "7") (vlax-put-property Obj 'PrimaryUnitsPrecision acDimPrecisionSeven))
((= TheDecimal "8") (vlax-put-property Obj 'PrimaryUnitsPrecision acDimPrecisionEight))
)
(vlax-put-property Obj 'SuppressTrailingZeros "False")
)
(SD2056)
(setq *error* nil)
(princ)
)
;********************************
(defun Show_Dialog_1208()
(setq dcl_id (load_dialog "SD_1208.dcl"))
(if (= SD:Lang "E")
(new_dialog "SD_1208" dcl_id)
(new_dialog "SD_1208_J" dcl_id)
)
(setq DecimalL (list "0" "0.0" "0.00" "0.000" "0.0000" "0.00000" "0.000000-(6)" "0.0000000-(7)" "0.00000000 -(8)"))
(start_list "Decimal")
(mapcar 'add_list DecimalL)
(end_list)
(set_tile "Decimal" TheDecimal)
(action_tile "accept" "(get_data_1208)(done_dialog 1)")
(action_tile "cancel" "(done_dialog 0)")
(setq Act (start_dialog))
(unload_dialog dcl_id)
(if (= Act 0) (exit))
)
;********************************
(defun get_data_1208 ()
(setq TheDecimal (get_tile "Decimal"))
;レジストリ書込み
(vl-registry-write Path1208 "Decimal" (get_tile "Decimal"))
TheDecimal
)
;**********レジストリからデータを取得*************
(defun RegistryRead_1208()
(setq Path1208 "HKEY_CURRENT_USER\\Software\\SpeedDraftLT\\SD_1208")
(if (vl-registry-read Path1208 "Decimal" )
(setq TheDecimal (vl-registry-read Path1208 "Decimal" ))
(setq TheDecimal "0")
)
)
;共通コマンド
(defun SD1028 ()
(setq OldCmdEcho (getvar "CMDECHO"))
(setvar "CMDECHO" 0)
(command "undo" "be")
(setq OldOsmode (getvar "OSMODE"))
(setq OldLayer (getvar "CLAYER"))
(setq OldLType (getvar "CeLType"))
(setq OldCeLWeight (getvar "CeLWeight"))
(setq OldColor (getvar "CeColor"))
(setq OldOrtho (getvar "ORTHOMODE"))
(setq OldDStyle (getvar "DIMSTYLE"))
(setq OldExpert (getvar "Expert"))
(setvar "EXPERT" 0)
(setq Path_Lang "HKEY_CURRENT_USER\\Software\\SpeedDraftLT")
(if (vl-registry-read Path_Lang "SD_Language" )
(setq SD:Lang (vl-registry-read Path_Lang "SD_Language" ))
(progn (setq SD:Lang "J")
(vl-registry-write Path_Lang "SD_Language" "J")
)
)
(princ)
)
;********************************
(defun SD2056 ()
(setvar "OSMODE" OldOsmode)
(command "undo" "end")
(setvar "CLAYER" OldLayer)
(setvar "CeLType" OldLType)
(setvar "CeLWeight" OldCeLWeight)
(setvar "CeColor" OldColor)
(setvar "ORTHOMODE" OldOrtho)
(setvar "Expert" OldExpert)
(if (and (/= (getvar "DIMSTYLE") OldDStyle)(tblsearch "DIMSTYLE" OldDStyle))
(command "-dimstyle" "Restore" OldDStyle)
)
(princ "\n (C)OffshoreCad&Management")
(setvar "CMDECHO" OldCmdEcho)
(princ)
)
;********************************
(defun *myerror* (msg)
(setq *error* nil)
(SD2056)
(princ "\n Error in SpeedDraftLT")
(princ)
)
(if (= SD:Lang "E")
(princ "\n Command Name: SD_1208 \n")
(princ "\n コマンド名:SD_1208 \n")
)
(princ)